Bug 979890 - [EAP610 migration guide JP] 4.1.9. Use the IronJacamar Migration Tool to Convert a Resource Adapter Configuration File
[EAP610 migration guide JP] 4.1.9. Use the IronJacamar Migration Tool to Conv...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.1.1
Assigned To: sgilda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 01:52 EDT by Osamu Nagano
Modified: 2014-09-29 14:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11863, Migration Guide-6.1-3 Build Date: 01-07-2013 05:00:40 Topic ID: 31794-457751 [Specified]
Last Closed: 2013-09-16 16:30:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Osamu Nagano 2013-07-01 01:52:37 EDT
Title: 4.1.9. IronJacamar 移行ツールを使用したリソースアダプター設定ファイルの変換

In procedure 4.7. step 3 and 4:

Describe the issue:
...コピーし、<subsystem xmlns="urn:jboss:domain:resource-adapters:1.0"> 要素下の...

Suggestions for improvement:
...コピーし、<subsystem xmlns="urn:jboss:domain:resource-adapters:1.1"> 要素下の...

Additional information:
The version number should be 1.1.  All <subsystem xmlns="urn:jboss:domain:resource-adapters:1.0"> should be <subsystem xmlns="urn:jboss:domain:resource-adapters:1.1">.
Comment 6 Vladimir Rastseluev 2013-07-12 03:58:16 EDT
Checked. <subsystem xmlns="urn:jboss:domain:resource-adapters:1.0"/> remains in chapter "3.1.6.5. Update the Resource Adapter Configuration"
Comment 7 sgilda 2013-07-12 08:29:27 EDT
Missed the occurrence in topic 5327: Update the Resource Adapter Configuration.

Modified topic 5327 to revision 477606.

This may be too late to make it into the 6.1 or 6.1.1 Migration Guide.

Russell, can I update the revisions for topic 5327 to rev 477606 in the Migration CSP maps (11863 and 19236)?
Comment 8 sgilda 2013-07-12 10:04:54 EDT
I should mention, this is in another topic, not the same one mentionded in this bug.
Comment 10 Nikoleta Ziakova 2013-08-08 07:10:28 EDT
Verified for EAP 6.1.1 ER4
Comment 12 sgilda 2013-08-09 08:18:12 EDT
I am reopening this and will investigate. Thanks for discovering this!
Comment 13 sgilda 2013-08-12 10:56:52 EDT
Modified the following topics:

Configure a Deployed Resource Adapter: 4521, rev. 494257
- CSP maps impacted:
-   6.1 Administration and Configuration Guide: 11865
-   6.1.1 Administration and Configuration Guide: 19233

Deploy the WebSphere MQ Resource Adapter: 8808, rev. 494260 
- CSP maps impacted:
-   6.1 Administration and Configuration Guide: 11865
-   6.1.1 Administration and Configuration Guide: 19233

- CSP maps impacted:


I also see '<subsystem xmlns="urn:jboss:domain:resource-adapters:1.0"> in the following topics, but they do NOT appear to be used in any current guides so I did NOT modify them:
- Example Minimal EAP 6 Configuration:  13021
- Deploying the Adapter: 17015
- Configuring a resource adapter Manually: 15728, rev. 494262
Comment 14 sgilda 2013-08-12 11:10:27 EDT
Topic fixes made earlier. CSP maps were modified.

Use the IronJacamar Migration Tool to Convert a Datasource Configuration File: 5409, rev. 472947
- CSP maps impacted:
-   6.1 Migration Guide: 11863
-   6.1.1 Migration Guide: 19236

Use the IronJacamar Migration Tool to Convert a Resource Adapter Configuration File: 5410, rev. 472943
- CSP maps impacted:
-   6.1 Migration Guide: 11863
-   6.1.1 Migration Guide: 19236

Update the Resource Adapter Configuration: 5327, rev.477606
- CSP maps impacted:
-   6.1 Migration Guide: 11863
-   6.1.1 Migration Guide: 19236

Russell, should the CSP maps be updated for the "Administration and Configuration Guide" be updated as noted in the previous comment?
Comment 15 sgilda 2013-08-12 22:39:52 EDT
Updated  6.1.1 Administration and Configuration Guide: 19233, changed 4521 to rev. 494257
Comment 17 sgilda 2013-08-15 09:10:27 EDT
Using the information Russell provided, it appears the 6.1.1 Admin Guide was last built on 8/12, so it would not have this change.

You can verify it on the 6.2 link.

Moving to ON_QA.
Comment 18 Vladimir Rastseluev 2013-08-19 02:57:39 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.